#ifndef _U2FS_FS_I_H
#define _U2FS_FS_I_H

#ifndef _U2FS_MAXFASTLINK
#define _U2FS_MAXFASTLINK

#include <linux/types.h>

#define	NDADDR	12		/* direct addresses in inode */
#define	NIADDR	3		/* indirect addresses in inode */
#define	MAXFASTLINK	(((NDADDR+NIADDR) * sizeof(__s32)) - 1)

#endif /* _U2FS_MAXFASTLINK */

struct u2fs_inode_info {
	union {
		struct {
			daddr_t i_udb[NDADDR];
			daddr_t i_uib[NIADDR];
		} i_addr;
		char i_usymlink[MAXFASTLINK+1];
	} i_un;
};

#endif
